#2011, Eulalie Sauthier, Master Thesis

threemonthtoyear <- function(input_data,colonne) {     #convert seasonal precipitations to annual precipitation

size_vec<-(length(input_data[ ,colonne])/3)		#taille du nouveau vecteur

out<-vector(length= size_vec)					 #création du vecteur contant les nouvelles valeurs
j<-1;k<-1;i<-1								 #initialisation des itérants

out[1]<-mean(input_data[1:3,colonne])			 #remplit la première ligne en moyennant les valeurs
o<-4;r<-6									#indice début et fin à garder pour 3 mois ligne deux

for(i in 2: size_vec){							#moyenne les valeurs retenues
out[i]<-mean(input_data[o:r,colonne])			#indexage pour ligne suivantes
o<-o+3;r<-r+3;
}
return(out)								#retourne le vecteur annuel
}